=== debian/changelog ===
ros-melodic-nmea-comms (1.2.0-0bionic) bionic; urgency=high

  * Fixed boost::thread_resource_error: Resource temporarily unavailable exception that was thrown using netcat to feed socket_node.cpp with NMEA sentences. (#5 <https://github.com/ros-drivers/nmea_comms/issues/5>)
  * Contributors: Avio, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

ros-melodic-nmea-comms (1.1.0-0bionic) bionic; urgency=high

  * Release to Jade.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-nmea-comms (1.0.1-0bionic) bionic; urgency=high

  * Add roslint, automatic style fixes.
  * Add license headers to source files.
  * Tidy up package.xml, add author and url elements.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-melodic-nmea-comms (1.0.0-0bionic) bionic; urgency=high

  * Update the tee example launch file.
  * Change topic names to match the default in nmea_navsat_driver.
  * Put the common sources in a shared lib.
  * Add some basic tests.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-melodic-nmea-comms (0.0.3-0bionic) bionic; urgency=high

  * Add sleep() call between poll and read to further reduce CPU use.
  * Properly apply the specified baud rate.
  * Gracefully handle nulls received on the serial line.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-melodic-nmea-comms (0.0.2-0bionic) bionic; urgency=high

  * Add support for setting frame_id on rx Sentence messages.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Sep 2013 04:00:00 -0000

ros-melodic-nmea-comms (0.0.1-0bionic) bionic; urgency=high

  * Initial release of bidirectional socket and serial nodes.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 03 Sep 2013 04:00:00 -0000
