=== debian/control ===
Source: ros-melodic-nmea-comms
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nmea-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest
Homepage: http://wiki.ros.org/nmea_comms
Standards-Version: 3.9.2

Package: ros-melodic-nmea-comms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nmea-msgs, ros-melodic-roscpp
Description: The nmea_comms package provides helper nodes for transmitting and receiving the NMEA sentences.
